package com.emato.cus.supervise.config.ds.second;

import java.io.Serializable;

/**
 * @author Scott Chen
 * 2019-08-21
 */
public class SecondMybatisConfigProperties implements Serializable {
    private static final long serialVersionUID = 5782933280075194160L;

    // properties方式配置
    public static final String MYBATIS_MAPPER_CONFIG_PATH = "mybatis-mapper-config.properties";
    // yml方式配置
    public static final String MYBATIS_MAPPER_CONFIG_YML_PATH = "application.yml";


    private String configLocation;
    private String mapperLocationsConfig;
    private String typeAliasesPackage;
    // mapper接口包
    private String mapperScannerPackage;

    public String getConfigLocation() {
        return configLocation;
    }

    public void setConfigLocation(String configLocation) {
        this.configLocation = configLocation;
    }

    public String getMapperLocationsConfig() {
        return mapperLocationsConfig;
    }

    public void setMapperLocationsConfig(String mapperLocationsConfig) {
        this.mapperLocationsConfig = mapperLocationsConfig;
    }

    public String getTypeAliasesPackage() {
        return typeAliasesPackage;
    }

    public void setTypeAliasesPackage(String typeAliasesPackage) {
        this.typeAliasesPackage = typeAliasesPackage;
    }

    public String getMapperScannerPackage() {
        return mapperScannerPackage;
    }

    public void setMapperScannerPackage(String mapperScannerPackage) {
        this.mapperScannerPackage = mapperScannerPackage;
    }
}
